<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="org.eclipse.hyades.models.cbe"
   name="%pluginName"
   version="1.2.0"
   provider-name="Eclipse.org">

   <runtime>
      <library name="cbe-model.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.models.cbe,org.eclipse.hyades.loaders.cbe"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.hyades.models.sdb" export="true"/>
      <import plugin="org.eclipse.hyades.models.hierarchy" export="true"/>
   </requires>


   <extension
         point="org.eclipse.emf.ecore.generated_package">
      <package
            uri="http://www.eclipse.org/hyades/models/cbe.xmi"
            class="org.eclipse.hyades.models.cbe.CBEPackage">
      </package>
   </extension>
   <extension
         point="org.eclipse.hyades.models.hierarchy.fragment_loader">
      <loader
            elementName="CommonBaseEvent"
            class="org.eclipse.hyades.loaders.cbe.XMLCommonBaseEventLoader">
      </loader>
   </extension>
   <extension
         point="org.eclipse.hyades.models.hierarchy.fragment_loader">
      <loader
            elementName="AssociationEngine"
            class="org.eclipse.hyades.loaders.cbe.XMLAssociationEngineLoader">
      </loader>
   </extension>
   <extension
         point="org.eclipse.hyades.models.hierarchy.fragment_loader">
      <loader
            elementName="DefaultXMLFragmentLoader"
            class="org.eclipse.hyades.loaders.cbe.DefaultXMLFragmentLoader">
      </loader>
   </extension>
   <extension
         point="org.eclipse.hyades.models.hierarchy.lookup_service">
      <lookupService
            class="org.eclipse.hyades.loaders.cbe.CBELookupService">
      </lookupService>
   </extension>

</plugin>
